require "import"
import "android.widget.*"
import "android.view.*"
import "android.app.*"
import "android.content.*"
import "android.os.*"
import "android.text.*"
import "android.graphics.*"

activity.setTitle("لعبة تحدي الرقم")

layout = {
  LinearLayout,
  orientation = "vertical",
  layout_width = "fill",
  layout_height = "fill",
  gravity = "center",
  padding = "16dp",
  {
    TextView,
    id = "text_instruction",
    text = "اكتب الرقم التالي:",
    textSize = "20sp",
  },
  {
    TextView,
    id = "text_number",
    text = "",
    textSize = "32sp",
    textColor = 0xff000000,
    layout_marginTop = "16dp",
  },
  {
    EditText,
    id = "input_number",
    hint = "اكتب الرقم هنا",
    inputType = "number",
    layout_width = "match_parent",
    layout_height = "wrap_content",
    layout_marginTop = "16dp",
  },
  {
    Button,
    id = "btn_check",
    text = "تحقق",
    layout_marginTop = "16dp",
  },
  {
    TextView,
    id = "text_result",
    text = "",
    textSize = "18sp",
    layout_marginTop = "16dp",
  },
}

activity.setContentView(loadlayout(layout))

level = 1
currentNumber = ""

function generateNumber()
  local digits = level + 1
  currentNumber = ""
  for i = 1, digits do
    currentNumber = currentNumber .. tostring(math.random(0, 9))
  end
  text_number.setText(currentNumber)
  text_result.setText("")
  input_number.setText("")
  input_number.requestFocus()
end

btn_check.onClick = function()
  local userInput = tostring(input_number.getText())
  if userInput == currentNumber then
    level = level + 1
    text_result.setText("صحيح! المرحلة التالية...")
    generateNumber()
  else
    text_result.setText("خطأ! حاول مرة أخرى.")
  end
end

generateNumber()